(function ($) {
    'use strict';

    $(window).load(function () {

        if ($('.mywpglossary-term-def').length > 0) {
            $.each($('.mywpglossary-term-def'), function (index, value) {
                var dataURL = $(value).data('url');
                var excludeDefault = 'a,h1,h2,h3,h4,h5,h6,pre,code,blockquote,cite,input,button,textarea,figure,figcaption,iframe,embed';
                if (typeof exclude_tag != 'undefined') {
                    excludeDefault = exclude_tag;
                }
                if ($(value).parent().not(excludeDefault).length > 0) {
                    $(value).wrap('<a class="mywpglossary-definition" href="' + dataURL + '"></a>');
                } else {
                    $(value).parent().html($(value).html());
                }
            });
        }


        if ($('.mywpglossary-list-entry-title').length > 0) {
            $('.mywpglossary-list-entry-title').click(function (e) {
                e.preventDefault();

                var $this = $(this);


                if ($this.next().hasClass('show')) {
                    $this.next().removeClass('show');
                    $this.next().slideUp(350);
                    $this.hasClass('show_parent');
                    $this.removeClass('show_parent');
                } else {
                    $this.next().toggleClass('show');
                    $this.next().slideToggle(350);
                    $this.addClass('show_parent');
                    window.location.hash = $(this).attr('id').replace('mywpglossary-term-', '');
                }

            });

            if (window.location.hash) {
                $('html, body').animate({
                    scrollTop: $('#mywpglossary-term-' + window.location.hash.substring(1)).offset().top - 150
                }, 2000);
                $('#mywpglossary-term-' + window.location.hash.substring(1)).click();
            }
        }
    });


})(jQuery);